POST api/sync/credasv2progress/{groupId}/{personId}/{negId}
callback from credas to notify us of status updates to a case Processes this sync API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| groupId |
The unique identifier of the group resource. |
integer |
Required |
| personId |
The unique identifier of the person resource. |
integer |
Required |
| negId |
The unique identifier of the neg resource. |
integer |
Required |
Body Parameters
The credas v2 progress webhook data contract supplied with the request.
CredasV2ProgressWebhookDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| processId |
The unique identifier of the related process resource. |
globally unique identifier |
None. |
| checkPoint |
The check point value. |
integer |
None. |
Request Formats
application/x-www-form-urlencoded
Sample not available.
application/json, text/json
{
"processId": "306c49d3-bf86-4637-8c80-96e872cbdafe",
"checkPoint": 2
}
Response Information
Resource Description
The response returned after the operation completes.
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version |
The version value. |
Version |
None. |
| Content |
The content value. |
HttpContent |
None. |
| StatusCode |
The status code classification. |
HttpStatusCode |
None. |
| ReasonPhrase |
The reason phrase value. |
string |
None. |
| Headers |
The collection of headers. |
Collection of Object |
None. |
| RequestMessage |
The request message value. |
HttpRequestMessage |
None. |
| IsSuccessStatusCode |
Indicates whether this item is success status code. |
boolean |
None. |